//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Datos.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class Clases
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Clases()
        {
            this.Comentarios = new List<Comentarios>();
            this.Documentos = new List<Documentos>();
        }
    
        public long ClasesId { get; set; }
        public Nullable<long> CursoId { get; set; }
        public string LinkVideo { get; set; }
        public string Descripcion { get; set; }
        public string Titulo { get; set; }
        public Nullable<int> Calificacion { get; set; }
        public Nullable<System.DateTime> Fecha_Publicacion { get; set; }
    
        public virtual Cursos Cursos { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual List<Comentarios> Comentarios { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual List<Documentos> Documentos { get; set; }
    }
}
